name: checkout

on:
  push:
    branches:
      - main  # Or your desired branch

jobs:
  checkout:
    runs-on: self-hosted
    
    steps:
      - uses: https://git.phyllo.me/actions/checkout@v4
        with:
          fetch-depth: 0